- Reference (v1)
- Accounts
- Account auslesen
Version: API v1
Account auslesen
GET/v1/accounts/{accountIdentifier}
API version
v1
Request method
GET
Operation ID
getAccount
Diese Operation liest genaue Daten eines einzelnen Accounts aus
Request
- accountIdentifierstringrequired
Name oder ID eines Accounts
Responses
Format
application/json
Description
Der Account
- uidinteger
- customerNumberinteger
- namestring
- activateShellboolean
- descriptionstringrequired
- disabledboolean
- ipAddressesarray of object
- Array[
- *object
- addressstring
- scopestring (one of: internal, external)
- versionnumber
- typestring
- relatedCertificateCommonNamestring
]
- statusstring (one of: creating, updating, deleting, ready)
Content-Type: application/json
{
"uid": 123,
"customerNumber": 123,
"name": "string",
"activateShell": true,
"description": "string",
"disabled": true,
"ipAddresses": [
{
"address": "string",
"scope": "internal",
"version": 123,
"type": "string",
"relatedCertificateCommonName": "string"
}
],
"status": "creating"
}
{
"title": "Account",
"required": [
"description"
],
"type": "object",
"properties": {
"uid": {
"type": "integer",
"readOnly": true
},
"customerNumber": {
"type": "integer",
"readOnly": true
},
"name": {
"type": "string",
"readOnly": true
},
"activateShell": {
"type": "boolean",
"readOnly": true
},
"description": {
"type": "string"
},
"disabled": {
"type": "boolean",
"readOnly": true
},
"ipAddresses": {
"type": "array",
"readOnly": true,
"items": {
"title": "IpAddress",
"type": "object",
"properties": {
"address": {
"type": "string",
"readOnly": true
},
"scope": {
"type": "string",
"readOnly": true,
"enum": [
"internal",
"external"
]
},
"version": {
"type": "number",
"readOnly": true
},
"type": {
"type": "string"
},
"relatedCertificateCommonName": {
"type": "string"
}
}
}
},
"status": {
"type": "string",
"readOnly": true,
"enum": [
"creating",
"updating",
"deleting",
"ready"
]
}
}
}
Format
application/json
Description
Zugriff verweigert.
- messagestring
Content-Type: application/json
{
"message": "string"
}
{
"title": "Error",
"type": "object",
"properties": {
"message": {
"type": "string"
}
}
}
Usage examples
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/accounts/string